PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zgetrs_Tile | ( | PLASMA_enum | trans,
|  | PLASMA_desc * | A,
|  | const int * | IPIV,
|  | PLASMA_desc * | B
| ) |  |

PLASMA_zgetrs_Tile - Solves a system of linear equations using previously computed LU factorization. Tile equivalent of PLASMA_zgetrs(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | trans | Intended to specify the the form of the system of equations: = PlasmaNoTrans: A * X = B (No transpose) = PlasmaTrans: A**T * X = B (Transpose) = PlasmaConjTrans: A**H * X = B (Conjugate transpose)
  [in] | A | The tile factors L and U from the factorization, computed by PLASMA_zgetrf.
  [in] | IPIV | The pivot indices from PLASMA_zgetrf.
  [in,out] | B | On entry, the N-by-NRHS matrix of right hand side matrix B. On exit, the solution matrix X.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zgetrs
  PLASMA_zgetrs_Tile_Async
  PLASMA_cgetrs_Tile
  PLASMA_dgetrs_Tile
  PLASMA_sgetrs_Tile
  PLASMA_zgetrf_Tile